diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-gtpc-header.h ns-3.43/src/lte/model/epc-gtpc-header.h
--- ns-3.42/src/lte/model/epc-gtpc-header.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-gtpc-header.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-gtpu-header.cc ns-3.43/src/lte/model/epc-gtpu-header.cc
--- ns-3.42/src/lte/model/epc-gtpu-header.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-gtpu-header.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jnin@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-gtpu-header.h ns-3.43/src/lte/model/epc-gtpu-header.h
--- ns-3.42/src/lte/model/epc-gtpu-header.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-gtpu-header.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jnin@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-mme-application.cc ns-3.43/src/lte/model/epc-mme-application.cc
--- ns-3.42/src/lte/model/epc-mme-application.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-mme-application.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-mme-application.h ns-3.43/src/lte/model/epc-mme-application.h
--- ns-3.42/src/lte/model/epc-mme-application.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-mme-application.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-pgw-application.cc ns-3.43/src/lte/model/epc-pgw-application.cc
--- ns-3.42/src/lte/model/epc-pgw-application.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-pgw-application.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         (based on epc-sgw-pgw-application.cc)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-pgw-application.h ns-3.43/src/lte/model/epc-pgw-application.h
--- ns-3.42/src/lte/model/epc-pgw-application.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-pgw-application.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         (based on epc-sgw-pgw-application.h)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-s11-sap.cc ns-3.43/src/lte/model/epc-s11-sap.cc
--- ns-3.42/src/lte/model/epc-s11-sap.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-s11-sap.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-s11-sap.h ns-3.43/src/lte/model/epc-s11-sap.h
--- ns-3.42/src/lte/model/epc-s11-sap.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-s11-sap.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-s1ap-sap.cc ns-3.43/src/lte/model/epc-s1ap-sap.cc
--- ns-3.42/src/lte/model/epc-s1ap-sap.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-s1ap-sap.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-s1ap-sap.h ns-3.43/src/lte/model/epc-s1ap-sap.h
--- ns-3.42/src/lte/model/epc-s1ap-sap.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-s1ap-sap.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-sgw-application.cc ns-3.43/src/lte/model/epc-sgw-application.cc
--- ns-3.42/src/lte/model/epc-sgw-application.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-sgw-application.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-sgw-application.h ns-3.43/src/lte/model/epc-sgw-application.h
--- ns-3.42/src/lte/model/epc-sgw-application.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-sgw-application.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-tft.cc ns-3.43/src/lte/model/epc-tft.cc
--- ns-3.42/src/lte/model/epc-tft.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-tft.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-tft-classifier.cc ns-3.43/src/lte/model/epc-tft-classifier.cc
--- ns-3.42/src/lte/model/epc-tft-classifier.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-tft-classifier.cc	2024-10-09 16:41:09.932656000 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 CTTC
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *   Nicola Baldo <nbaldo@cttc.es> (the EpcTftClassifier class)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-tft-classifier.h ns-3.43/src/lte/model/epc-tft-classifier.h
--- ns-3.42/src/lte/model/epc-tft-classifier.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-tft-classifier.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo  <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-tft.h ns-3.43/src/lte/model/epc-tft.h
--- ns-3.42/src/lte/model/epc-tft.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-tft.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo  <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-ue-nas.cc ns-3.43/src/lte/model/epc-ue-nas.cc
--- ns-3.42/src/lte/model/epc-ue-nas.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-ue-nas.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-ue-nas.h ns-3.43/src/lte/model/epc-ue-nas.h
--- ns-3.42/src/lte/model/epc-ue-nas.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-ue-nas.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-x2.cc ns-3.43/src/lte/model/epc-x2.cc
--- ns-3.42/src/lte/model/epc-x2.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-x2.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-x2.h ns-3.43/src/lte/model/epc-x2.h
--- ns-3.42/src/lte/model/epc-x2.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-x2.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-x2-header.cc ns-3.43/src/lte/model/epc-x2-header.cc
--- ns-3.42/src/lte/model/epc-x2-header.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-x2-header.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-x2-header.h ns-3.43/src/lte/model/epc-x2-header.h
--- ns-3.42/src/lte/model/epc-x2-header.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-x2-header.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-x2-sap.cc ns-3.43/src/lte/model/epc-x2-sap.cc
--- ns-3.42/src/lte/model/epc-x2-sap.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-x2-sap.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/epc-x2-sap.h ns-3.43/src/lte/model/epc-x2-sap.h
--- ns-3.42/src/lte/model/epc-x2-sap.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/epc-x2-sap.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/eps-bearer.cc ns-3.43/src/lte/model/eps-bearer.cc
--- ns-3.42/src/lte/model/eps-bearer.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/eps-bearer.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/eps-bearer.h ns-3.43/src/lte/model/eps-bearer.h
--- ns-3.42/src/lte/model/eps-bearer.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/eps-bearer.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
